%define	name	bitlbee
%define	version	3.0.5
%define	rel	4
%define release %mkrel %{rel}
%define	Summary	IRC proxy to connect to ICQ, AOL, MSN and Jabber
%define	bitlbid	_bitlbee

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Networking/Chat
URL:		http://bitlbee.org/
Source0:	http://get.bitlbee.org/src/%{name}-%{version}.tar.gz
# (blino) reported as upstream ticket #938
Patch0:		bitlbee-3.0.5-msn-recursive-loop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel libsoup-devel >= 1.99.23
BuildRequires:	libotr-devel
BuildRequires:	gnutls-devel libgcrypt-devel
Requires(post):	ccp
Requires(pre):	rpm-helper
Requires:	xinetd

%description
%{name} is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols:

 - ICQ
 - AIM
 - MSN
 - YIM
 - Jabber (including Google Talk and Facebook)
 - Twitter

%prep
%setup -q
%apply_patches
# Use the nick "bitlbee" instead of "root"
%{__sed} -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h

%build
perl -pi -e "s#CFLAGS=\"-O2#CFLAGS=\"%{optflags}#g" configure
./configure	--prefix=%{_prefix} \
		--etcdir=%{_sysconfdir}/%{name} \
		--libdir=%{_libdir}/%{name} \
		--strip=0 \
		--otr=1

%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} install-etc


%{__install} -d   %{buildroot}%{_var}/lib/%{name}
%{__install} -d   %{buildroot}%{_sysconfdir}/xinetd.d/
%{__cat} << EOF > %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
# default: on
# description: bitlbee IRC2IM-proxy.
service ircd
{
	disable			= no
	socket_type		= stream
	protocol		= tcp
	wait			= no
	user			= %{bitlbid}
	server			= %{_sbindir}/%{name}
	log_on_success		+= DURATION USERID HOST
	log_on_failure		+= USERID HOST ATTEMPT
	nice			= 10
	bind			= 127.0.0.1
}
EOF


%pre
%_pre_useradd %{bitlbid} %{_var}/%{name} /bin/true
# in post it is harder to know if the new empty dir already exists
if [ $1 = 2 -a -d "%{_var}/%{name}" -a ! -d "%{_var}/lib/%{name}" ]; then
   echo -n " NOTE: new location of bitlbee users data: "
   mv -v "%{_var}/%{name}" "%{_var}/lib/%{name}"
fi

%post
ccp --delete --ifexists --set NoOrphans --oldfile %{_sysconfdir}/%{name}/%{name}.conf --newfile %{_sysconfdir}/%{name}/%{name}.conf.rpmnew
service xinetd condrestart
if ! pidof xinetd >/dev/null 2>/dev/null; then
   echo "Use the following command to start %{name}: /sbin/service xinetd start"
fi

%postun
%_postun_userdel %{bitlbid}
if [ "$1" = "0" ]; then service xinetd condrestart; fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0750,root,%{bitlbid},0755)
%{_sbindir}/%{name}
%defattr(0644,root,root,0755)
%doc doc/AUTHORS doc/README doc/FAQ
%doc doc/CHANGES doc/CREDITS
%doc doc/user-guide/

%{_datadir}/%{name}/help.txt
%dir %{_datadir}/%{name}/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}/motd.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}

%defattr(0600,%{bitlbid},%{bitlbid},0700)
%{_var}/lib/%{name}


%changelog

* Sun Apr 08 2012 blino <blino> 3.0.5-4.mga2
+ Revision: 229780
- in postun, restart xinetd only if package removed (it is already restarted on post otherwise)

* Sat Apr 07 2012 blino <blino> 3.0.5-3.mga2
+ Revision: 229427
- better fix for upstream ticket #938

* Fri Apr 06 2012 blino <blino> 3.0.5-2.mga2
+ Revision: 229036
- fix segfault with MSN account and gnutls 3.0.18 (reported as upstream ticket #938)
- really build debug package

* Wed Feb 29 2012 blino <blino> 3.0.5-1.mga2
+ Revision: 215957
- use again gnutls since timeout issues have been fixed upstream
- 3.0.5
- remove upstream msn contacts patch

* Mon Nov 14 2011 blino <blino> 3.0.3-5.mga2
+ Revision: 167385
- fix getting MSN contacts (from upstream bzr)

* Sun Oct 02 2011 blino <blino> 3.0.3-4.mga2
+ Revision: 151114
- use openssl to avoid jabber login issues (bitlbee #779, archlinux #23678)

  + fwang <fwang>
    - rebuild for new gnutls

* Wed Jun 15 2011 blino <blino> 3.0.3-2.mga2
+ Revision: 106588
- fix typo in ccp post script

* Wed Jun 15 2011 blino <blino> 3.0.3-1.mga2
+ Revision: 106584
- 3.0.3
- buildrequire gnutls-devel

* Wed Apr 20 2011 misc <misc> 3.0.2-1.mga1
+ Revision: 89086
- new version

* Mon Jan 24 2011 blino <blino> 3.0.1-1.mga1
+ Revision: 35730
- imported package bitlbee

